<?php

$fileName = 'serversInfo.json';

$mapName = filter_input(INPUT_GET, 'map', FILTER_SANITIZE_STRING);
$serverName = filter_input(INPUT_GET, 'server', FILTER_SANITIZE_STRING);
$serverIP = filter_input(INPUT_GET, 'ip', FILTER_SANITIZE_STRING);
$playersNum = filter_input(INPUT_GET, 'players', FILTER_SANITIZE_STRING);
$playersMax = filter_input(INPUT_GET, 'max', FILTER_SANITIZE_STRING);

$serverData = [
    'server' => $serverName,
    'map' => $mapName,
    'players' => $playersNum,
    'playersmax' => $playersMax,
    'ip' => $serverIP
];

if ($serverIP !== null && $serverIP !== false && $serverIP !== '') {
    	$existingData = file_exists($fileName) ? json_decode(file_get_contents($fileName), true) : [];
    	$existingData[$serverIP] = $serverData;
    	$jsonData = json_encode($existingData, JSON_PRETTY_PRINT | JSON_UNESCAPED_UNICODE);
    	file_put_contents($fileName, $jsonData);
}